### Method

# GUPnP ServiceInfo introspect_async

#### Declaration [src]

    void
    gupnp_service_info_introspect_async (
      GUPnPServiceInfo* info,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Note that introspection object is created from the information in service description document (SCPD) provided by the service so it can not be created if the service does not provide a SCPD.

If `cancellable` is used to cancel the call, `callback` will be called with error code `G_IO_ERROR_CANCELLED`.

Available since: | 1.2.2

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` that can be used to cancel the call.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback to be called when introspection object is ready.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User_data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.